## proximityd 0.1

=== Makefile ===
all: proximityd
	
proximityd: proximityd.o
	g++ -o proximityd `pkg-config --libs dbus-glib-1 glib-2.0` proximityd.o
	

proximityd.o: proximityd.cpp
	g++ -o proximityd.o `pkg-config --cflags dbus-glib-1 glib-2.0` -c proximityd.cpp
	
clean: 
	rm -f *.o *- proximityd

=== debian/changelog ===
proximityd (0.1) unstable; urgency=low

  * Initial Release.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Fri, 18 Dec 2009 19:28:52 +0100

=== debian/control ===
Source: proximityd
Section: user/system
Priority: optional
Maintainer: Arek Stopczynski <arek.stopczynski@gmail.com>
Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev
Standards-Version: 3.7.2

Package: proximityd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides D-Bus interface for reading proximity sensor.
 Daemon polling proximity sensor and emitting D-Bus signals.
 Signals are emitted on state change (open and closed).

## proximityd 0.2

=== debian/changelog ===
proximityd (0.2) unstable; urgency=low

  * Methods for starting and stopping polling.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sat, 26 Dec 2009 18:52:52 +0100

## proximityd 0.2.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 	
 proximityd: proximityd.o
 	g++ -o proximityd `pkg-config --libs dbus-glib-1 glib-2.0` proximityd.o
-	
 
 proximityd.o: proximityd.cpp
 	g++ -o proximityd.o `pkg-config --cflags dbus-glib-1 glib-2.0` -c proximityd.cpp

=== debian/changelog ===
proximityd (0.2.1) unstable; urgency=low

  * Methods for requesting polling interval.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sun, 27 Dec 2009 20:44:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,4 +10,5 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Provides D-Bus interface for reading proximity sensor.
  Daemon polling proximity sensor and emitting D-Bus signals.
- Signals are emitted on state change (open and closed).  
+ Signals are emitted on state change (open and closed). 
+ Polling can be started and stopped on demand by application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/proximityd.sgml > proximityd.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs



  	# Add here commands to install the package into debian/proximityd
	#$(MAKE) DESTDIR=$(CURDIR)/debian/proximityd install
	install -D ./proximityd $(CURDIR)/debian/proximityd/usr/sbin/proximityd
	install -D ./debian/event $(CURDIR)/debian/proximityd/etc/event.d/proximityd
	chmod -x $(CURDIR)/debian/proximityd/etc/event.d/proximityd
			  

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## proximityd 0.2.2

=== Makefile ===
all: proximityd
	
proximityd: proximityd.o
	g++ -o proximityd `pkg-config --libs dbus-glib-1 glib-2.0 dbus-1` proximityd.o

proximityd.o: proximityd.cpp
	g++ -o proximityd.o `pkg-config --cflags dbus-glib-1 glib-2.0 dbus-1` -c proximityd.cpp
	
clean: 
	rm -f *.o *- proximityd

=== debian/changelog ===
proximityd (0.2.2) unstable; urgency=low

  * Using glib for listening for method calls.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sun, 24 Jan 2010 20:44:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Arek Stopczynski <arek.stopczynski@gmail.com>
 Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev
 Standards-Version: 3.7.2
+Xsbc-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=proximityd
 
 Package: proximityd
 Architecture: armel
